{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "SsS",
        "bib",
        "dbD"
    ],
    "key": {
        "b": {
            "item": "minecraft:bone"
        },
        "i": {
            "item": "minecraft:ice"
        },
        "s": {
            "item": "minecraft:sugar"
        },
        "S": {
            "item": "minecraft:spider_eye"
        },
        "d": {
            "item": "minecraft:diamond_sword"
        },
        "D": {
            "item": "minecraft:diamond_pickaxe"
        }
    },
    "result": {
        "item": "knowledge_book",
        "count": 1
    }
}